Announcement Announcement Module
Collapse
No announcement yet.
Spring WS/Castor Error Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Spring WS/Castor Error

    Hi

    My AbstractMarshallingEndpoint uses CastorMarshaller for marshalling and unmarshalling. To facilitate this I use a mapping.xml. I got the following error when I to access the webservice

    *****************************
    [Servlet Error]-[EdevService]: org.springframework.beans.factory.BeanDefinitionSt oreException: Error registering bean with name 'edevMarshaller' defined in ServletContext resource [/WEB-INF/EdevService-servlet.xml]: Class that bean class [org.springframework.oxm.castor.CastorMarshaller] depends on not found; nested exception is java.lang.NoClassDefFoundError: javax/xml/stream/util/XMLEventConsumer
    *****************************

    The version of JDK is 1.4, and I am not sure if it comes with XMLEventConsumer class. I am also not able to find if such dependency exist for Castor to work with version of JDK above 1.4.

    Any help would be appreciated.

    Thanks
    Pradeep

  • #2
    That class is found in the stax jar, available here: http://repo.mergere.com/maven2/stax/...-api-1.0.1.jar

    Comment


    • #3
      Originally posted by Arjen Poutsma View Post
      That class is found in the stax jar, available here: http://repo.mergere.com/maven2/stax/...-api-1.0.1.jar
      Hi Arjen

      Thanks for the reply. I realised lately about the dependencies of spring-ws from the website. Can you please inform if the current spring-ws version can work without issues with spring 1.0. The dependencies mention that spring-ws need spring 2.0.6 for compiling and running.

      The issue that I'm facing is to web-service-enable a function of our existing web application which was built a few years using spring 1.0

      Appreciate your help, as meeting pre requisites are important to get things started in the right manner rather than panicking at later stage

      Regards
      Pradeep

      Comment


      • #4
        Spring-WS also runs (and is tested on) on Spring 1.2.9. Not sure about Spring 1.0, though, I haven't tested it.

        Comment

        Working...
        X